Package com.google.android.exoplayer2.source.smoothstreaming

## Class DefaultSsChunkSource.Factory

- java.lang.Object
- - com.google.android.exoplayer2.source.smoothstreaming.DefaultSsChunkSource.Factory

- All Implemented Interfaces:
    `SsChunkSource.Factory`
  Enclosing class:
    DefaultSsChunkSource

      public static final class DefaultSsChunkSource.Factory
      extends Object
      implements SsChunkSource.Factory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(DataSource.Factory dataSourceFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SsChunkSource` | `createChunkSource​(LoaderErrorThrower manifestLoaderErrorThrower, SsManifest manifest, int streamElementIndex, ExoTrackSelection trackSelection, TransferListener transferListener)` | Creates a new `SsChunkSource`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory​(DataSource.Factory dataSourceFactory)

  - ### Method Detail

    - #### createChunkSource

          public SsChunkSource createChunkSource​(LoaderErrorThrower manifestLoaderErrorThrower,
                                                 SsManifest manifest,
                                                 int streamElementIndex,
                                                 ExoTrackSelection trackSelection,
                                                 @Nullable
                                                 TransferListener transferListener)

      Description copied from interface: `SsChunkSource.Factory`
      Creates a new `SsChunkSource`.
      Specified by:
        `createChunkSource` in interface `SsChunkSource.Factory`
      Parameters:
        `manifestLoaderErrorThrower` - Throws errors affecting loading of manifests.
        `manifest` - The initial manifest.
        `streamElementIndex` - The index of the corresponding stream element in the manifest.
        `trackSelection` - The track selection.
        `transferListener` - The transfer listener which should be informed of any data transfers. May be null if no listener is available.
      Returns:
        The created `SsChunkSource`.